> For the complete documentation index, see [llms.txt](https://docs.chatlayer.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chatlayer.ai/channels/all-channels/facebook.md).

# Facebook Messenger \[Deprecated soon]

{% hint style="danger" %}
Support for the direct Chatlayer integration with Facebook Messenger is coming to an end. Instead, we recommend connecting your Chatlayer bot to Facebook Messenger using the [Sinch Conversation API](/channels/sinch-conversation-api-beta.md).
{% endhint %}

Integrating your bot with Facebook Messenger is easy, just follow the steps in the wizard or watch the example video below:

{% embed url="<https://www.youtube.com/watch?v=7rChfbFl-fA>" %}

{% hint style="danger" %}
In order for your Facebook Messenger bot to be publicly available, you will have to go through Facebook's strict App Review process. The steps & best practices that must be taken for App Review, as detailed by Facebook, can be found [here](https://developers.facebook.com/docs/app-review/resources/sample-submissions/messenger-platform).
{% endhint %}

## Facebook Messenger Specific Content

In the `Channels > Messenger` section you can define settings that are specific to Facebook Messenger.

### Greeting Message

The greeting message is what will be shown first when the bot is clicked on by a user. In the example below, the greeting message is configure to `Timeless apparel for the masses`.

#### Personalization

You can personalize the greeting text using the user's name by using these template strings:

* `{internal.user.firstName}`
* `{internal.user.lastName}`
* `{internal.user.fullName}`

![](https://2786867680-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-LLTwFwbOqJj4dDhg8Ju%2Fuploads%2Fgit-blob-c7d6ec3b35bc256c0fcd5e186967be52e9488a8e%2Fstatic-content-greeting-message.png?alt=media)

### Get Started Button

Facebook has a `Get Started` button visible on every page. Clicking that button redirects you to a block which you can choose here. Typically, this is a block introducing the bot and what it can do for the user.

### Persistent Menu

Both Facebook and the web widget support an overflow menu that is called the `Persistent Menu`. In this menu, you can define common actions that your users can take. Typical examples include for example

* Start over
* Talk to a live agent
* Disable notifications
* Buy product \[XXX]
* Go to \[company] website
* Change Language
* Help

![](https://2786867680-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-LLTwFwbOqJj4dDhg8Ju%2F-LLTwINdA-k01sAajhSX%2F-LLTwL6vY-VKxL3a2c4d%2FScreen%20Shot%202018-03-04%20at%2014.02.08.png?generation=1535969951090377\&alt=media)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.chatlayer.ai/channels/all-channels/facebook.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
